Takes markdown content and a prompt, returns modified content with diff

POST
/control-plane/api/v1/documentation/{organization_id}/{documentation_id}/ai/edit

Path Parameters

organization_idstringrequired

Organization ID


documentation_idstringrequired

Documentation ID


Request Body

Edit request

Required

contentstring

promptstringrequired

Example:

{
  "content": "string",
  "prompt": "string"
}

Responses

200
OK

Response Fields:

  • changes (object[])

  • content (string)

  • error (string)

  • valid (boolean)

Example:

{
  "changes": [
    {
      "type": "string",
      "value": "string"
    }
  ],
  "content": "string",
  "error": "string",
  "valid": true
}
400
Bad Request

Example:

{
  "key": "value"
}
402
Payment Required

Example:

{
  "key": "value"
}
500
Internal Server Error

Example:

{
  "key": "value"
}
503
Service Unavailable

Example:

{
  "key": "value"
}